import React from 'react'
import Svg, { Defs, LinearGradient, Stop, G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 26 30" {...props}>
    <Defs>
      <LinearGradient x1="50%" y1="100%" x2="50%" y2="0%" id="linearGradient-1">
        <Stop stopColor="#F78B00" offset="0%" />
        <Stop stopColor="#FAC000" offset="100%" />
      </LinearGradient>
    </Defs>
    <G
      id="0716\u7248\u672C"
      stroke="none"
      strokeWidth={1}
      fill="none"
      fillRule="evenodd"
    >
      <G
        id="0716\u4FEE\u6539\u7248\u672C"
        transform="translate(-216.000000, -364.000000)"
        fill="url(#linearGradient-1)"
        fillRule="nonzero"
      >
        <G
          id="\u884C\u4E8B\u66C6"
          transform="translate(194.000000, 347.000000)"
        >
          <G
            id="fontawesome-webfont-f-073"
            transform="translate(22.000000, 17.000000)"
          >
            <Path
              d="M1.98979592,27.8571429 L6.46683673,27.8571429 L6.46683673,23.0357143 L1.98979592,23.0357143 L1.98979592,27.8571429 Z M7.46173469,27.8571429 L12.4362245,27.8571429 L12.4362245,23.0357143 L7.46173469,23.0357143 L7.46173469,27.8571429 Z M1.98979592,21.9642857 L6.46683673,21.9642857 L6.46683673,16.6071429 L1.98979592,16.6071429 L1.98979592,21.9642857 Z M7.46173469,21.9642857 L12.4362245,21.9642857 L12.4362245,16.6071429 L7.46173469,16.6071429 L7.46173469,21.9642857 Z M1.98979592,15.5357143 L6.46683673,15.5357143 L6.46683673,10.7142857 L1.98979592,10.7142857 L1.98979592,15.5357143 Z M13.4311224,27.8571429 L18.4056122,27.8571429 L18.4056122,23.0357143 L13.4311224,23.0357143 L13.4311224,27.8571429 Z M7.46173469,15.5357143 L12.4362245,15.5357143 L12.4362245,10.7142857 L7.46173469,10.7142857 L7.46173469,15.5357143 Z M19.4005102,27.8571429 L23.877551,27.8571429 L23.877551,23.0357143 L19.4005102,23.0357143 L19.4005102,27.8571429 Z M13.4311224,21.9642857 L18.4056122,21.9642857 L18.4056122,16.6071429 L13.4311224,16.6071429 L13.4311224,21.9642857 Z M7.95918367,7.5 L7.95918367,2.67857143 C7.95918367,2.53348214 7.90995695,2.4079241 7.81150351,2.30189732 C7.71305007,2.19587054 7.59646046,2.14285714 7.46173469,2.14285714 L6.46683673,2.14285714 C6.33211096,2.14285714 6.21552136,2.19587054 6.11706792,2.30189732 C6.01861448,2.4079241 5.96938776,2.53348214 5.96938776,2.67857143 L5.96938776,7.5 C5.96938776,7.64508929 6.01861448,7.77064733 6.11706792,7.87667411 C6.21552136,7.98270089 6.33211096,8.03571429 6.46683673,8.03571429 L7.46173469,8.03571429 C7.59646046,8.03571429 7.71305007,7.98270089 7.81150351,7.87667411 C7.90995695,7.77064733 7.95918367,7.64508929 7.95918367,7.5 Z M19.4005102,21.9642857 L23.877551,21.9642857 L23.877551,16.6071429 L19.4005102,16.6071429 L19.4005102,21.9642857 Z M13.4311224,15.5357143 L18.4056122,15.5357143 L18.4056122,10.7142857 L13.4311224,10.7142857 L13.4311224,15.5357143 Z M19.4005102,15.5357143 L23.877551,15.5357143 L23.877551,10.7142857 L19.4005102,10.7142857 L19.4005102,15.5357143 Z M19.8979592,7.5 L19.8979592,2.67857143 C19.8979592,2.53348214 19.8487325,2.4079241 19.750279,2.30189732 C19.6518256,2.19587054 19.535236,2.14285714 19.4005102,2.14285714 L18.4056122,2.14285714 C18.2708865,2.14285714 18.1542969,2.19587054 18.0558434,2.30189732 C17.95739,2.4079241 17.9081633,2.53348214 17.9081633,2.67857143 L17.9081633,7.5 C17.9081633,7.64508929 17.95739,7.77064733 18.0558434,7.87667411 C18.1542969,7.98270089 18.2708865,8.03571429 18.4056122,8.03571429 L19.4005102,8.03571429 C19.535236,8.03571429 19.6518256,7.98270089 19.750279,7.87667411 C19.8487325,7.77064733 19.8979592,7.64508929 19.8979592,7.5 Z M25.8673469,6.42857143 L25.8673469,27.8571429 C25.8673469,28.4375 25.67044,28.9397321 25.2766263,29.3638393 C24.8828125,29.7879464 24.4164541,30 23.877551,30 L1.98979592,30 C1.45089285,30 0.984534434,29.7879464 0.590720663,29.3638393 C0.196906893,28.9397321 0,28.4375 0,27.8571429 L0,6.42857143 C0,5.84821428 0.196906893,5.34598214 0.590720663,4.921875 C0.984534434,4.49776786 1.45089285,4.28571429 1.98979592,4.28571429 L3.97959184,4.28571429 L3.97959184,2.67857143 C3.97959184,1.94196429 4.22313457,1.31138392 4.71022003,0.786830357 C5.19730548,0.262276791 5.78284439,0 6.46683673,0 L7.46173469,0 C8.14572704,0 8.73126595,0.262276791 9.2183514,0.786830357 C9.70543686,1.31138392 9.94897959,1.94196429 9.94897959,2.67857143 L9.94897959,4.28571429 L15.9183673,4.28571429 L15.9183673,2.67857143 C15.9183673,1.94196429 16.1619101,1.31138392 16.6489955,0.786830357 C17.136081,0.262276791 17.7216199,0 18.4056122,0 L19.4005102,0 C20.0845026,0 20.6700415,0.262276791 21.1571269,0.786830357 C21.6442124,1.31138392 21.8877551,1.94196429 21.8877551,2.67857143 L21.8877551,4.28571429 L23.877551,4.28571429 C24.4164541,4.28571429 24.8828125,4.49776786 25.2766263,4.921875 C25.67044,5.34598214 25.8673469,5.84821428 25.8673469,6.42857143 L25.8673469,6.42857143 Z"
              id="Shape"
            />
          </G>
        </G>
      </G>
    </G>
  </Svg>
)

export default SvgComponent
